# $Id: perl-URPM.spec 36978 2006-06-12 10:31:28Z rafael $

%define name perl-URPM
%define real_name URPM
%define version 4.30
%define release %mkrel 1

%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /\\bmandr|\\bmageia/i ? "Development/Perl" : "Applications/CPAN"')
%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

%{expand:%%define compat_makeinstall_std %(perl -e 'printf "%%s\n", "%{?makeinstall_std:1}" ? "%%makeinstall_std" : "%%{__make} install PREFIX=%%{buildroot}%%{_prefix}"')}
%{expand:%%define compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}

Summary:	URPM module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		%{group}
Source:		%{real_name}-%{version}.tar.xz
#URL:		http://svnweb.mageia.org/soft/rpm/perl-URPM/
URL:		http://search.cpan.org/~tvignaud/URPM/URPM.pm
BuildRequires:	perl-devel
BuildRequires:	rpm-devel
BuildRequires:	perl(MDV::Packdrakeng)
# For tests:
BuildRequires:	perl-Test-Pod

# we can now expect librpm API to be backward compatible
Requires:	rpm >= %{rpm_version}
Requires:	perl(MDV::Packdrakeng)
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}
Conflicts:	urpmi < 7.8.2


%define _requires_exceptions perl(URPM::DB)\\|perl(URPM::Package)\\|perl(URPM::Transaction)

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%setup -q -n %{real_name}-%{version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%{compat_makeinstall_std}

%files
%doc README NEWS
%{_mandir}/man3/*
%{compat_perl_vendorarch}/URPM.pm
%{compat_perl_vendorarch}/URPM
%dir %{compat_perl_vendorarch}/auto/URPM
%{compat_perl_vendorarch}/auto/URPM/URPM.so


%changelog
* Thu May 15 2014 tv <tv> 4.30-1.mga4
+ Revision: 622962
- fix 64k size limit on provides size that break installing 32 bit kernel for
  drakx-installer-binaries
- fix a warning in debug mode

* Tue Nov 05 2013 tv <tv> 4.29-1.mga4
+ Revision: 549632
- enhanced doc
- "implement" create_transaction() in --env case
- $trans->order: add support for "deploops" option

* Mon Oct 21 2013 umeabot <umeabot> 4.28-2.mga4
+ Revision: 539079
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 tv <tv> 4.28-1.mga4
+ Revision: 491334
- adapt to perl-5.18 random hash keys ordering
- coverity fixes

* Fri Aug 23 2013 fwang <fwang> 4.27-3.mga4
+ Revision: 469921
- rebuild for new perl

* Wed May 29 2013 jquelin <jquelin> 4.27-2.mga4
+ Revision: 431370
- perl 5.18.0 rebuild

* Sat Mar 23 2013 tv <tv> 4.27-1.mga3
+ Revision: 404626
- fix selecting right DKMS flavor (mga#9172)
- fix URL

* Sat Feb 09 2013 tv <tv> 4.26-1.mga3
+ Revision: 397666
- add basic support for --downgrade (mga#6655)

* Tue Feb 05 2013 tv <tv> 4.25-1.mga3
+ Revision: 394674
- fix retrieving payload format

* Sun Feb 03 2013 tv <tv> 4.24-1.mga3
+ Revision: 394311
- enhanced doc
- enable to report script & I/O errors

* Mon Jan 21 2013 tv <tv> 4.23-1.mga3
+ Revision: 390561
- drop merged patch
- fix scoring locale packages

* Sun Jan 13 2013 umeabot <umeabot> 4.22-2.mga3
+ Revision: 374584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 4.22-1.mga3
+ Revision: 332100
- rpm-4.11 fixes:
  o fix compiling with it
  o prevent creating empty transactions in rare cases
    (that cause rpm to abort on assert while creating a new pool)

* Fri Dec 07 2012 tv <tv> 4.21.1-1.mga3
+ Revision: 327829
- fix EVR() on packages from rpmdb (was ok on synthesis ones) (mga#7739)

* Tue Dec 04 2012 tv <tv> 4.21-1.mga3
+ Revision: 326487
- prefer package from first medium when same NEVR exists in several media
  (thus prefering 64bit media over 32 bit ones) (mga#7524)

* Mon Dec 03 2012 tv <tv> 4.20-1.mga3
+ Revision: 325752
- fix a rare segfault

* Sun Dec 02 2012 tv <tv> 4.19-1.mga3
+ Revision: 325368
- kill pkg->disttag (unused, introduced for rpm5 prior to the fork)
- reduce code size

* Wed Nov 21 2012 tv <tv> 4.18-3.mga3
+ Revision: 320002
- remove debug sleep
- compile with optflags again (was disabled in previous release after debugging)

* Wed Nov 21 2012 tv <tv> 4.18-1.mga3
+ Revision: 319949
- further bump threshold for detecting looping forever
- workaround a segfault (mga#8158)

* Mon Nov 19 2012 tv <tv> 4.17-1.mga3
+ Revision: 319648
- bump threshold for detecting looping forever (mga#8106)
- drop header_filename (long obsolete, no more use)

* Fri Nov 16 2012 tv <tv> 4.16-1.mga3
+ Revision: 318953
- prevent urpmi from looping forever when some packages are broken

* Thu Oct 11 2012 tv <tv> 4.15.1-1.mga3
+ Revision: 304694
- drop support for repackage (non working since rpm-4.6 in 2009)

* Wed Sep 26 2012 tv <tv> 4.15-1.mga3
+ Revision: 298462
- API:
  o add EVR method
  o remove long deprecated find_chosen_packages() & find_candidate_packages()
  o rename find_candidate_packages_() as find_candidate_packages()

* Fri Sep 21 2012 tv <tv> 4.14-1.mga3
+ Revision: 296485
- API: add resolve_requested_suggests()
- slightly increase testsuite coverage
- update outdated doc

* Tue Aug 28 2012 tv <tv> 4.13-3.mga3
+ Revision: 284980
- rebuild for new binutils

* Fri Aug 24 2012 pterjan <pterjan> 4.13-2.mga3
+ Revision: 283402
- Clean rebuild
- Add a Package::doc_files() method

* Sat Aug 11 2012 blino <blino> 4.12-1.mga3
+ Revision: 280575
- 4.12
- do not try to parse current pointer when the line is invalid or
  empty (detected by valgrind)
- don't read/write after the string when the synthesis is slightly
  malformed

* Fri Aug 10 2012 tv <tv> 4.11-1.mga3
+ Revision: 280371
- drop compatibility with urpmi <= 4.5-13mdk (2004-07-09)
- fix arch of spec headers (regression introduced in 4.8)

* Fri Aug 03 2012 tv <tv> 4.10-3.mga3
+ Revision: 278317
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 4.10-2.mga3
+ Revision: 277893
- rebuild with mini debug info

* Thu Jun 28 2012 tv <tv> 4.10-1.mga3
+ Revision: 264780
- really enable to traverse rpm db by fullname

* Mon Jun 25 2012 tv <tv> 4.9-1.mga3
+ Revision: 263631
- fix setting rflags on packages (mga#6532)

* Sat Jun 23 2012 tv <tv> 4.8-2.mga3
+ Revision: 262738
- fix computing packages rflags (#6532)

* Fri Jun 22 2012 tv <tv> 4.8-1.mga3
+ Revision: 262664
- enable to read xz & bzip2 compressed synthesis
- internal cleanups
- ranges_overlap(): use rpm to compute whether it overlaps or not

* Tue Jun 19 2012 tv <tv> 4.7-1.mga3
+ Revision: 261966
- workaround changes in rpm-4.10.0 leaving us to leak fds (mga#6453)

* Mon Jun 18 2012 tv <tv> 4.6-1.mga3
+ Revision: 261773
- drop 'direction' parameter in obsoletes_overlap() & provides_overlap()
- fix default 'direction' for provides_overlap()
  (regression in URPM-4.2)
- internal cleanups

* Sun Jun 17 2012 tv <tv> 4.5-1.mga3
+ Revision: 261266
- drop support for old mdv2008.0 suggests (RPMTAG_REQUIRENAME + RPMSENSE_MISSINGOK)
- internal cleanups

* Fri Jun 15 2012 tv <tv> 4.4-1.mga3
+ Revision: 260840
- internal cleanups
- obsoletes_overlap(), ranges_overlap(): drop unused 'nopromotion' parameter
  (always hardcoded to 1 at least for 5 years)

* Thu Jun 14 2012 tv <tv> 4.3-2.mga3
+ Revision: 260644
- compile with -o2 again

* Thu Jun 14 2012 tv <tv> 4.3-1.mga3
+ Revision: 260639
- fix a very old segfault in unused code
- internal cleanups
- reduce code size

* Wed Jun 13 2012 tv <tv> 4.2-1.mga3
+ Revision: 260339
- clean DB API (needs a new urpmi)
- internal cleanups
- reduce code size
- drop subrel

* Mon Jun 11 2012 tv <tv> 4.1-1.1.mga3
+ Revision: 259718
- drop import_pubkey function (dead for 5 years)
- fix importing pubkeys with rpm-4.10.0 (eg: when adding media)

* Fri Jun 08 2012 tv <tv> 4.0-3.1.mga3
+ Revision: 258004
- rebuild for new rpm-4.10.0

* Fri Jun 08 2012 tv <tv> 4.0-2.1.mga3
+ Revision: 257970
- rebuild for new rpm-4.10.0

* Fri Jun 08 2012 tv <tv> 4.0-1.1.mga3
+ Revision: 257942
- drop URPM::Query (broken for years)
- drop support for rpm-4.8.x
- kill functions unimplemented for years
- reduce code size

* Fri Mar 16 2012 tv <tv> 3.40-1.1.mga2
+ Revision: 223706
- add URPM::traverse_tag_find() for urpme --env

* Mon Feb 27 2012 tv <tv> 3.39-1.1.mga2
+ Revision: 215699
- do not add FILENAME_TAG to hdlist anymore (unused since mdv2008)
- fix for a rare crash (mga#4425)
- put real package file sizes in synthesis

* Wed Feb 08 2012 tv <tv> 3.38.8-1.1.mga2
+ Revision: 206228
- switch from forking unpacker to using librpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.1.mga2
+ Revision: 206210
- rediff patch
- build with patch for patched rpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.mga2
+ Revision: 206188
- cleanups
- fix computing size of added/freed disk space when updating involves removing
  some packages (mga#4427)
- really prefer packages from first media, thus fixing downloading noarch
  packages from 32 bit repository (mga#1603)
- package smaller NEWS instead of bigger ChangeLog

* Sun Jan 15 2012 tv <tv> 3.38.6-2.1.mga2
+ Revision: 196555
- bump release for updates_testing

* Sun Jan 15 2012 tv <tv> 3.38.6-2.mga2
+ Revision: 196551
- disable patch 0 in core/release

* Sun Jan 15 2012 tv <tv> 3.38.6-1.4.mga2
+ Revision: 196495
- patch 0: fix regression in testing suite
- patch 0: switch from forking unpacker to using librpm.diff (upstream patch)
  (mga #1962)

  + blino <blino>
    - 3.38.6
    - support kernel 3.x in kmod resolution

* Mon Dec 19 2011 tv <tv> 3.38.5-1.3.mga2
+ Revision: 184269
- bump subrel for updates_testing

* Mon Dec 19 2011 tv <tv> 3.38.5-1.2.mga2
+ Revision: 184234
- fix parsing a spec file with rpm-4.9
  (regression introduced when adding support for rpm-4.9)
- enable to traverse db by fullname
- fix slow matching of individual regexes for skipping dependencies by creating
  a large regex to match them all at once (mdv#61389, Shlomi Fish)

* Tue Oct 11 2011 dmorgan <dmorgan> 3.38.4-1.2.mga2
+ Revision: 153855
- Add subrel for testing

* Sat Sep 17 2011 tv <tv> 3.38.4-1.mga2
+ Revision: 144431
- fix calling method in string
  (spoted by perl_checker, introduced in revision mga#267800 ("honour search
   medias when using --auto-select") but teuf on Fri Apr 23 2010
- new release
- BR perl-Test-Pod for tests
- really rebuild with rpm-4.9

  + dmorgan <dmorgan>
    - Bump release to push in testing

* Sat Sep 10 2011 dmorgan <dmorgan> 3.38.2-4.mga2
+ Revision: 142033
- Rebuild to replace manually build rpm in testing

* Fri Sep 09 2011 tv <tv> 3.38.2-3.mga2
+ Revision: 141926
- fix spec2srcheader() for rpm-4.9.x
- use xz compression

* Mon Aug 29 2011 fwang <fwang> 3.38.1-3.mga2
+ Revision: 136130
- rebuild for new perl

* Sun Jun 12 2011 ahmad <ahmad> 3.38.1-2.mga2
+ Revision: 104562
- Rebuild for missing signature

* Thu Apr 21 2011 tv <tv> 3.38.1-1.mga1
+ Revision: 89380
- fix crashing while removing several packages (#248)
- enable to compile with rpm-4.9.x

  + misc <misc>
    - clean BR and conflict

* Mon Mar 07 2011 tv <tv> 3.38-4.mga1
+ Revision: 65812
- try harder/again to fix bug #248 (MDV#61144)
  (-fno-gcse might not be enough with newer gcc)

* Tue Mar 01 2011 dmorgan <dmorgan> 3.38-3.mga1
+ Revision: 62050
- Rebuild against rpm 4.8.1

* Tue Jan 18 2011 blino <blino> 3.38-2.mga1
+ Revision: 23454
- buildrequire perl-devel
- use Development/Perl for Mageia as well
- remove old release hack

  + nanardon <nanardon>
    - kill empty lines

  + jquelin <jquelin>
    - imported package perl-URPM

